Subject: bug#53790: closed (Re: Audacity has extraneous binary at directory root)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Aug 2022 14:55:02 +0000

Your bug report

#53790: Audacity has extraneous binary at directory root

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53790: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=53790
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Audacity has extraneous binary at directory root
From: Liliana Marie Prikler <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Sun, 21 Aug 2022 16:54:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Samstag, dem 05.02.2022 um 13:52 -0500 schrieb Leo Famulari:
> 
> > We can try searching for the bits in CMakeLists that install this
> > wrapper or we can simply drop the file.  WDYT?
> 
> I don't know... I wonder if Audacity is worse for Guix users since
> this shell script doesn't end up in $PATH.
After more than half a year without any complaint about our audacity
command, I doubt this.  Thus I pushed a patch that removes the
gratuitous audacity.

Cheers

Subject: Audacity has extraneous binary at directory root
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Fri, 4 Feb 2022 17:03:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Our Audacity package creates an extraneous "audacity" binary in the root
of the store item:

------
$ git describe                                   
v1.3.0-15695-gba60aede97 
$ ls -la $(./pre-inst-env guix build audacity)    
total 49012                
dr-xr-xr-x    6 root root          4096 Dec 31  1969 .
drwxrwxr-t 3440 root guixbuild 50139136 Feb  4 17:00 ..
-r-xr-xr-x    1 root root           337 Dec 31  1969 audacity
dr-xr-xr-x    2 root root          4096 Dec 31  1969 bin
dr-xr-xr-x    2 root root          4096 Dec 31  1969 etc
dr-xr-xr-x    3 root root          4096 Dec 31  1969 lib
dr-xr-xr-x   11 root root          4096 Dec 31  1969 share
$ ls -la $(./pre-inst-env guix build audacity)/bin
total 18404
dr-xr-xr-x 2 root root     4096 Dec 31  1969 .
dr-xr-xr-x 6 root root     4096 Dec 31  1969 ..
-r-xr-xr-x 1 root root      600 Dec 31  1969 audacity
-r-xr-xr-x 2 root root 18827912 Dec 31  1969 .audacity-real
------

This didn't occur before the update from Audacity 2.4.2 to 3.1.3.